#!/usr/bin/python
import os
import smtplib
from email.mime.text import MIMEText
import time
import traceback
from email.mime.multipart import MIMEMultipart

app = "ardi_notifier_email"

if (os.name != 'nt'):
    import daemon

server = os.environ.get('SMTPSERVER','cp185.ezyreg.com')
port = int(os.environ.get('PORT','465'))
username = os.environ.get('USERNAME','noreply@raware.net')
password = os.environ.get('PASSWORD','0ptri#NoReply')

fromaddr = os.environ.get('FROM','noreply@raware.net')
toaddr = os.environ.get('EMAILADDRESS','sharding@optrix.com.au')

txt = os.environ.get('DETAIL','This is a test message!')

def SendMessage(server,port,username,password,fromaddr,toaddr,txt):
    
    msg = MIMEMultipart('alternative')
    msg['Subject'] = os.environ.get('TITLE','Test Message')
    msg['From'] = fromaddr
    msg['To'] = toaddr

    msg.attach(MIMEText(os.environ.get('TITLE','Test Message') + "\r\n\r\n" + txt + "\r\n\r\n" + os.environ.get('FOOTER',''),'plain'))
    msg.attach(MIMEText("<h3>" + os.environ.get('TITLE','Test Message') + "</h3><p>" + txt + "</p><p style=\"font-size: small;\">" + os.environ.get('FOOTER','') + "</p>",'html'))

    if username <> "":
        s = smtplib.SMTP(server,port)
        s.ehlo()
        s.starttls()
        s.ehlo()
        s.login(username,password)
    else:
        s = smtplib.SMTP(server)
        
    s.sendmail(fromaddr, toaddr, msg.as_string())

    s.quit()
    return "Message Sent."
   
body = ""
try:
    if (os.name != 'nt'):
        with daemon.DaemonContext():
            body = SendMessage(server,port,username,password,fromaddr,toaddr,txt)
    else:
        body = SendMessage(server,port,username,password,fromaddr,toaddr,txt)
except Exception,e:
    body = "Exception Occured: " + repr(e)
    traceback.print_exc()

try:
    logfile = "c:\\tmp\\" + app + ".log"
    if (os.name != 'nt'):
        logfile = "/var/log/" + app + ".log"
        
    text_file = open(logfile,"a")
    text_file.write("\r\nSending Message to " + str(toaddr))
    text_file.write("\r\n" + body)
    text_file.close()
except:
    print 'Failed'