#!/usr/bin/python
import os
import time
import pycurl
import urllib

app = "ardi_notifier_url"

if (os.name != 'nt'):
    import daemon

message = os.environ.get('TITLE','This is an audible message test.')
url = os.environ.get('URL','http://10.10.2.3:7215')

def SendMessage(message,url):
    c = pycurl.Curl()
    
    c.setopt(c.URL, url)
    post_data = {'message': message}
    postfields = urllib.urlencode(post_data)
    c.setopt(c.POSTFIELDS, postfields)

    c.perform()
    
    if c.errstr() != "":
        c.close();
        return "Request Error: " + str(c.getinfo(pycurl.HTTP_CODE))
    if c.getinfo(pycurl.HTTP_CODE) != 200:
        c.close();
        return "Error Code: " + str(c.getinfo(pycurl.HTTP_CODE))

    c.close()
    return "Message Sent"

body = ""
try:
    if (os.name != 'nt'):
        with daemon.DaemonContext():
            body = SendMessage(message,url)
    else:
        body = SendMessage(message,url)
except Exception,e:
    body = "Exception Occured: " + repr(e)

try:
    logfile = "c:\\tmp\\" + app + ".log"
    if (os.name != 'nt'):
        logfile = "/var/log/" + app + ".log"
        
    text_file = open(logfile,"a")
    text_file.write("\r\nSending Message " + str(message) + " to " + str(url))
    text_file.write("\r\n" + body)
    text_file.close()
except:
    print 'Failed'

